Bric::Util::Coll::Keyword - Interface for managing collections of Bric::Biz::Keyword objects. $LastChangedRevision$ $LastChangedDate: 2004-09-14 02:48:55 +0200 (Tue, 14 Sep 2004) $ See Bric::Util::Coll. See Bric::Util::Coll.

Constructors
Inherited from Bric::Util::Coll.

Destructors
Dummy method to prevent wasting time trying to AUTOLOAD DESTROY. Throws: NONE. Side Effects: NONE. Notes: NONE.

Public Class Methods
Returns the name of the class of objects this collection manages. Throws: NONE. Side Effects: NONE. Notes: NONE.

Public Instance Methods
Saves the changes made to all the keywors in the collection. Throws: Bric::_get() - Problems retrieving fields. Unable to connect to database. Unable to prepare SQL statement. Unable to execute SQL statement. Unable to select row. Incorrect number of args to _set. Bric::_set() - Problems setting fields. Side Effects: NONE. Notes: NONE.

Private Class Methods
Sorts a list of objects into an internally-specified order. This class sorts keywrd objects by sort name. Throws: NONE. Side Effects: NONE. Notes: NONE.

Private Instance Methods
NONE.

Private Functions
NONE. NONE. Arthur Bergman <sky@nanisky.com> Bric, Bric::Util::Coll, Bric::Biz::Keyword